package samba 3.0.28a-0ubuntu3 failed to install/upgrade: subprocess post-installation script returned error exit status 1

Bug #202541 reported by FajardXorg on 2008-03-15
2
Affects Status Importance Assigned to Milestone
ucf (Debian)
Fix Released
Unknown
ucf (Ubuntu)
High
Steve Langasek

Bug Description

Binary package hint: samba

when i was updating, the option of installing new showed up and i choose the experimental mode and then it crashed.

ProblemType: Package
Architecture: i386
Date: Sat Mar 15 10:32:16 2008
DistroRelease: Ubuntu 8.04
ErrorMessage: subprocess post-installation script returned error exit status 1
Package: samba 3.0.28a-0ubuntu3
PackageArchitecture: i386
SourcePackage: samba
Title: package samba 3.0.28a-0ubuntu3 failed to install/upgrade: subprocess post-installation script returned error exit status 1
Uname: Linux 2.6.24-12-generic i686

FajardXorg (rehevoli) wrote :
Steve Langasek (vorlon) wrote :

Hi jrgfajard,

Thank you for taking the time to report this issue and help to improve Ubuntu.

The relevant part of your DpkgTerminalLog is the following:

  Merging changes into the new version

   Conflicts found! Please edit `/etc/samba/smb.conf' and sort them out manually.
   The file `/etc/samba/smb.conf.ucf-old' is a backup of your old configuration file.

This indicates that the differences between the old and new versions of smb.conf could not be reconciled on your system, so will need to be resolved manually. Unfortunately, ucf in Ubuntu was missing a fix from upstream that is needed to avoid leaving behind broken config files in such a case.

It would be helpful if you were to send a copy of your /etc/samba/smb.conf and /etc/samba/smb.conf.ucf-old files, so that the conflicts you ran into can be understood and perhaps avoided in the future for other users; but I think the main bug here is the ucf bug.

To work around this issue on your system, you can do one of two things; either:

 run 'sudo mv /etc/samba/smb.conf.ucf-old /etc/samba/smb.conf' and then resolve the broken packages using update-manager again

or (gives slightly better results in the long term, but requires familiarity with smb.conf):

 edit /etc/samba/smb.conf to resolve the conflicts by hand, then run update-manager again

I've just synced ucf 3.005 from Debian, which incorporates the existing Ubuntu changes to this package and also fixes this bug in ucf, so I think this bug can be considered closed for hardy. If you continue to have problems getting the samba package back into a working state, feel free to reopen this bug.

Changed in samba:
assignee: nobody → vorlon
importance: Undecided → High
milestone: none → ubuntu-8.04-beta
status: New → Fix Released
Changed in ucf:
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.